<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\AuthorizedUserModel;

class AuthorizedUserModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(AuthorizedUserModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(AuthorizedUserModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(AuthorizedUserModel::class);
    }
}
